BADBLOCKS(8)

NAZWA
badblocks - poszukiwanie uszkodzonych bloków na urządzeniu

SKŁADNIA
badblocks [ -svwnfBX ] [ -b block_size ] [ -c blocks_at_once ] [ -d read_delay_factor ] [ -e max_bad_blocks ] [ -i input_file ] [ -o output_file ] [ -p num_passes ] [ -t test_pattern ] device [ last_block ] [ first_block ]

OPIS
badblocks służy do wyszukiwania uszkodzonych bloków na urządzeniu (zwykle na partycji dyskowej). Urządzenie jest plikiem specjalnym odpowiadającym danemu urządzeniu (np. /dev/hdc1). Ostatni-blok jest ostatnim sprawdzanym blokiem; jeśli nie zostanie podany, domyślnie przyjmowany jest ostatni blok na danym urządzeniu. Pierwszy-blok jest opcjonalnym parametrem, określającym początkowy numer bloku do sprawdzenia, który pozwala rozpocząć testowanie w połowie dysku. Jeśli nie zostanie podany, domyślnie używany jest pierwszy blok dysku.

Ważna uwaga: Jeżeli wyjście badblocks ma być przekierowane do programu e2fsck lub mke2fs, to ważnym jest, aby został prawidłowo określony rozmiar bloku, gdyż generowane numery bloków mocno zależą od użytego rozmiaru bloku. Z tego powodu zdecydowanie zalecane jest, aby użytkownicy nie uruchamiali badblocks bezpośrednio, a raczej posługiwali się opcją -c programów e2fsck i mke2fs.

OPCJE

-b rozmiar-bloku
    Określa rozmiar bloku w bajtach. Domyślnie wynosi 1024.

-c bloków-na-raz
    Liczba bloków, testowanych za jednym razem. Domyślnie wynosi 64.

-d współczynnik-opóźnienia-odczytu
    Ten parametr powoduje, jeśli zostanie podany i jest niezerowy, że program będzie czekał pomiędzy odczytami, czy nie wystąpią błędy spowodowane operacją odczytu. Opóźnienie zostanie obliczone jako procent czasu, jaki zajęło przeprowadzenie operacji odczytu. Innymi słowy, wartość 100 spowoduje, że każdy odczyt zostanie opóźniony o czas, jaki zajął poprzedni odczyt, a wartość 200 podwoi ten czas.

-e maksymalna-liczba-złych-bloków
    Określa maksymalną liczbę złych bloków przed przerwaniem testu. Domyślnie wynosi 0, co oznacza, że test będzie kontynuowany aż do osiągnięcia końca testowanego obszaru.

-f  Normalnie, badblocks odmówi wykonania sprawdzenia w trybie odczytu i zapisu lub w trybie nie niszczącym danych na zamontowanym urządzeniu, gdyż każdy z nich może potencjalnie spowodować awarię systemu. Nawet sprawdzenie nie niszczące danych może spowodować uszkodzenie zamontowanego systemu plików. Można to zachowanie zmienić za pomocą opcji -f, ale prawie nigdy nie należy jej używać --- jeśli użytkownik uważa, że jest mądrzejszy niż program badblocks, prawie na pewno nie powinien tego robić. Jedyny przypadek, kiedy można bezpiecznie posłużyć się tą opcją, to sytuacja, gdy zawartość pliku /etc/mtab jest nieprawidłowa, a urządzenie w rzeczywistości nie jest zamontowane.

-i plik-wejściowy
    Odczytuje listę aktualnie istniejących, znanych uszkodzonych bloków. Program badblocks nie wykona sprawdzenia tych bloków, gdyż wiadomo, że są one uszkodzone. Jeśli plik_wejściowy zostanie podany jako "-", lista zostanie odczytana ze standardowego wejścia. Bloki występujące na tej liście zostaną pominięte na liście nowych uszkodzonych bloków tworzonej na standardowym wyjściu lub w pliku wynikowym. Opcja -b programu dumpe2fs(8) może służyć do odtworzenia listy bloków aktualnie zaznaczonych jako uszkodzone w istniejącym systemie plików, w postaci odpowiedniej dla tej opcji.

-n  Korzystanie podczas sprawdzenia z nieniszczącego danych trybu odczytu i zapisu. Domyślnie przeprowadzane są wyłącznie sprawdzenia nieniszczące danych. Opcji tej nie można łączyć z opcją -w, gdyż wykluczają się one wzajemnie.

-o plik-wynikowy
    Zapisuje listę uszkodzonych bloków do podanego pliku. Bez tej opcji, badblocks wypisuje listę na standardowe wyjście. Plik ten ma postać odpowiednią do wykorzystania go w opcji -l programu e2fsck(8) lub mke2fs(8).

-p liczba-przebiegów
    Powtarza skanowanie dysku tak długo, aż w ciągu liczba-przebiegów kolejnych skanowań dysku nie zostanie odkryty żaden nowy uszkodzony blok. Domyślną wartością jest 0, co oznacza, że badblocks zakończy po pierwszym przebiegu.

-s  Pokazuje postęp skanowania, wypisując zgrubny procent ukończenia bieżącego przebiegu programu na dysku. Proszę zauważyć, że badblocks może wykonać kilka przebiegów na dysku, szczególnie jeśli podano opcję -p lub -w.

-t wzorzec-testowy
    Określa wzorzec testowy, który będzie odczytany (i zapisany) do bloków dysku. wzorzec-testowy może być albo wartością liczbową pomiędzy 0 a ULONG_MAX-1 (włącznie), albo słowem "random", które wskazuje, że bloki powinny być wypełniane losowym wzorcem bitowym. W trybach odczytu/zapisu (-w) i niedestruktywnym (-n), jeden lub więcej wzorców testowych można podać za pomocą opcji -t do każdego żądanego wzorca testowego. W przypadku trybu tylko do odczytu, można podać wyłącznie jeden wzorzec i nie może być to "random". Testowanie tylko do odczytu ze wzorcem zakłada, że podany wzorzec został wcześniej zapisany na dysk - jeśli nie, to duża liczba bloków nie przejdzie weryfikacji. Jeśli poda się wiele wzorców, to wszystkie bloki zostaną przetestowane jednym wzorcem, przed przejściem do następnego wzorca.

-v  Tryb szczegółowy. Wypisze liczbę błędów odczytu, zapisu i uszkodzonych błędów na standardowe wyjście błędów.

-w  Podczas sprawdzenia korzysta z testu zapisywania. Po podaniu tej opcji, badblocks wyszukuje uszkodzone bloki zapisując pewne wzorce (0xaa, 0x55, 0xff, 0x00) w każdym bloku urządzenia, odczytując każdy blok i porównując zawartość. Opcji tej nie można łączyć z opcją -n, gdyż wykluczają się one wzajemnie.

-B  Używa buforowanego wejścia/wyjścia i nie używa bezpośredniego wejścia/wyjścia, nawet jeśli jest dostępne.

-X  Wewnętrzna flaga, przeznaczona do użycia tylko przez e2fsck(8) i mke2fs(8). Pomija ona kontrolę bezpieczeństwa w trybie wyłączności urządzenia.

OSTRZEŻENIE
Nigdy nie należy używać opcji -w na urządzeniu zawierającym istniejący system plików. Ta opcja kasuje dane! Jeśli istnieje potrzeba wykonania testu w trybie zapisu na istniejącym systemie plików, należy posłużyć się zamiast niej opcją -n. Jest to wolniejsze, ale zachowa istniejące dane.

Opcja -e powoduje, że badblocks wypisuje, prawdopodobnie niekompletną, listę uszkodzonych bloków. Zaleca się użycie jej tylko, gdy chce się wiedzieć, czy na urządzeniu są jakieś uszkodzone bloki, a nie gdy potrzebna jest ich lista.

AUTOR
badblocks został napisany przez Remy'ego Carda <Remy.Card@linux.org>. Aktualnie zarządza nim Theodore Ts'o <tytso@alum.mit.edu>. Niedestrukcyjny test odczytu/zapisu zaimplementował David Beattie <dbeattie@softhome.net>.

DOSTĘPNOŚĆ
badblocks jest częścią pakietu e2fsprogs i jest dostępny na stronie http://e2fsprogs.sourceforge.net.

ZOBACZ TAKŻE
e2fsck(8), mke2fs(8)

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl>, Andrzej Krzysztofowicz <ankry@green.mf.pg.gda.pl> i Michał Kułach <michal.kulach@gmail.com> Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI. Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres manpages-pl-list@lists.sourceforge.net.